clang 10.0.0git

Classes | Namespaces | Enumerations | Functions
SyncScope.h File Reference

Provides definitions for the atomic synchronization scopes. More...

`#include "clang/Basic/LangOptions.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <memory>`
Include dependency graph for SyncScope.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::AtomicScopeModel
| Defines the interface for synch scope model. More...
class | clang::AtomicScopeOpenCLModel
| Defines the synch scope model for OpenCL. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::SyncScope { clang::SyncScope::OpenCLWorkGroup, clang::SyncScope::OpenCLDevice, clang::SyncScope::OpenCLAllSVMDevices, clang::SyncScope::OpenCLSubGroup, clang::SyncScope::Last = OpenCLSubGroup }
| Defines synch scope values used internally by clang. More...
enum | clang::AtomicScopeModelKind { clang::AtomicScopeModelKind::None, clang::AtomicScopeModelKind::OpenCL }
| Defines the kind of atomic scope models. More...

## Functions
llvm::StringRef | clang::getAsString (SyncScope S)

## Detailed Description

Provides definitions for the atomic synchronization scopes.

Definition in file SyncScope.h.